Vyhľadajte odpoveď

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Using Firefox Version 2.0.0.20 with Windows ME (don't ask). Hotmail not working now, so need to know what's highest Firefox upgrade available for Windows ME?

  • 1 odpoveď
  • 13 má tento problém
  • 10 zobrazení
  • Posledná odpoveď od cor-el

more options

Using Firefox Version 2.0.0.20 with Windows ME (don't ask). Hotmail not working as of today, so need to know highest Firefox upgrade available for Win. ME & how to install? Thx.

URL of affected sites

http://hotmail.com

Všetky odpovede (1)

more options

You already have the highest version that runs on Windows ME.

http://www.mozilla.com/firefox/system-requirements.html - Firefox 3.6 System Requirements http://www.mozilla.com/firefox/system-requirements-v3.html - Firefox 3 System Requirements